AsterNet Class Library (Sandcastle documentation)

| AsteriskFastAGI Constructor (String, Int32, Int32)

Creates a new AsteriskFastAGI.

Namespace: AsterNET.FastAGI
Assembly: AsterNET (in AsterNET.dll) Version: 1.0.0.0 (1.0.0.0)
Syntax
C#
VB
C++
F#
Copy

    public AsteriskFastAGI(
    	string ipaddress,
    	int port,
    	int poolSize
    )

    Public Sub New (
    	ipaddress As String,
    	port As Integer,
    	poolSize As Integer
    )

    public:
    AsteriskFastAGI(
    	String^ ipaddress,
    	int port,
    	int poolSize
    )

    new :
            ipaddress : string *
            port : int *
            poolSize : int -> AsteriskFastAGI

#### Parameters

ipaddress
  Type: System
  String
  The address to listen on.
port
  Type: System
  Int32
  The port to listen on.
poolSize
  Type: System
  Int32
  The number of worker threads in the thread pool. This equals the maximum number of concurrent requests this AGIServer can serve.

See Also

#### Reference

AsteriskFastAGI Class
AsteriskFastAGI Overload
AsterNET.FastAGI Namespace